/* Import the Montserrat font */
@import url('https://fonts.googleapis.com/css2?family=PT+Serif:ital,wght@0,400;0,700;1,400;1,700&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Bodoni+Moda+SC:ital,opsz,wght@0,6..96,400..900;1,6..96,400..900&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Cormorant:ital,wght@0,300..700;1,300..700&display=swap');

body {
    font-family: "PT Serif", serif;
    font-weight: 500;
    font-style: normal;
    background-color: #1a1a1a;
    color: #ffffff;
    margin: 0;
    padding: 0;
}

h1, h2, h3{
    font-family: "Bodoni Moda SC", serif;
}

h4, h5, h6, .nav-link {
    font-family: "Cormorant", serif;
}

.navbar {
    background-color: #1A1A1A;
    height: 3rem;
    font-size: 18px;
}

.navbar-brand img {
    width: 115px;
    /* height: 80px; */
    height: 65px; /* Set your initial height */
  transition: width 0.3s ease, height 0.3s ease;
}

.navbar-nav .nav-link {
    color: #ffffff !important;
    font-size: 1.2rem;
}

.navbar-toggler-icon {
    filter: invert(0);
}

.nav-link:hover {
    color: #2091d3 !important;
}

.jumbotron {
    position: absolute;
    height: 100vh;
    color: #fff;
    overflow: hidden;
}

.jumbotron::after {
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(0, 0, 0, 0.5);
    z-index: 1;
}

.jumbotron .container {
    position: relative;
    z-index: 2;
    bottom: 16rem;
    right: 24rem;
    width: 50%;
}

.bg-video {
    position: absolute;
    top: 50%;
    left: 50%;
    min-width: 100%;
    min-height: 100%;
    width: auto;
    height: auto;
    z-index: 0;
    transform: translateX(-50%) translateY(-50%);
    object-fit: cover;
}

/* .jumbotron h1 {
    font-size: 3rem;
    font-weight: 700;
    margin-bottom: 1rem;
    text-shadow: 2px 2px 4px rgba(0, 0, 0, 0.8);
} */

.jumbotron p {
    font-size: 1.25rem;
    margin-bottom: 2rem;
    text-shadow: 2px 2px 4px rgba(0, 0, 0, 0.8);
}

.btn-3d {
    background-color: #2091d3;    
    border: none;
    padding: 8px 18px;
    font-size: 0.9rem;
    color: #fff;
    border-radius: 5px;
    transition: transform 0.3s, box-shadow 0.3s;
    margin-right: 3em;
}

.btn-3d:hover {
    transform: translateY(-5px);
    box-shadow: 0 4px 10px rgba(0, 0, 0, 0.2);
}

.bg-light {
    background-color: #f8f9fa !important;
    color: #333;
}

.bg-dark {
    background-color: #333;
    color: #fff;
}

.bg-primary {
    background-color: #007bff !important;
    color: #fff;
}

.process-section {
    color: #fff;
    padding: 5rem 0;
    position: relative;
}

.horizontal-scroller {
    display: flex;
    overflow-x: auto;
    padding: 2rem 0;
    scroll-behavior: smooth;
}

.scroller-item {
    position: relative;
  padding: 20px;
  margin: 10px;
  border: 1px solid #ccc;
  background-size: cover;
  background-position: center;
    box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
    backdrop-filter: blur(10px);
    transition: transform 0.3s ease-in-out, box-shadow 0.3s ease-in-out;
}

.scroller-item:hover {
    transform: translateY(-10px) scale(1.05);
    box-shadow: 0 8px 16px rgba(0, 0, 0, 0.2);
}

.scroller-item:last-child {
    margin-right: 0;
}

.process-icon {
    font-size: 3rem;
    color: #2091d3;    
    margin-bottom: 1rem;
}

.process-title {
    font-size: 1.5rem;
    font-weight: bold;
    margin-bottom: 1rem;
    color: #fff;
}

.process-description {
    font-size: 1rem;
    line-height: 1.5;
    color: #ddd;
}

/* Scroll Hint Styles */
.scroll-hint {
    position: absolute;
    bottom: 10px;
    right: 10px;
    display: flex;
    align-items: center;
    color: #fff;
    animation: bounce 2s infinite;
}

.scroll-hint .scroll-text {
    margin-right: 10px;
    font-size: 1rem;
}

.scroll-hint .scroll-arrow {
    font-size: 1.5rem;
}

/* Keyframes for Bounce Animation */
@keyframes bounce {
    0%, 20%, 50%, 80%, 100% {
        transform: translateY(0);
    }
    40% {
        transform: translateY(-10px);
    }
    60% {
        transform: translateY(-5px);
    }
}

/* Testimonial Styles */
.testimonial-card {
    background: rgba(255, 255, 255, 0.1);
    padding: 2rem;
    border-radius: 10px;
    box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
    transition: transform 0.3s ease-in-out, box-shadow 0.3s ease-in-out;
}

.testimonial-card:hover {
    transform: translateY(-5px);
    box-shadow: 0 8px 16px rgba(0, 0, 0, 0.2);
}

.testimonial-card .card-text {
    color: #fff;
}

.testimonial-card .card-text .text-muted {
    color: #ccc;
}

/* Responsive Brand Scroller */
.brands-scroller {
    display: flex;
    overflow-x: auto;
    padding: 2rem 0;
    scroll-behavior: smooth;
    white-space: nowrap;
}

.brand-item {
    flex: 0 0 auto;
    margin-right: 2rem;
    width: 150px;
    height: 250px;
    background: #fff;
    border-radius: 10px;
    box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
    display: flex;
    align-items: center;
    justify-content: center;
    overflow: hidden;
    transition: transform 0.3s ease-in-out, box-shadow 0.3s ease-in-out;
}

.brand-item img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    border-radius: 10px;
}

.brand-item:hover {
    transform: translateY(-10px) scale(1.05);
    box-shadow: 0 8px 16px rgba(0, 0, 0, 0.2);
}


/* Modal Styles */
.modal {
    display: none;
    position: fixed;
    z-index: 1050;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    overflow: auto;
    background-color: rgba(0, 0, 0, 0.9); /* Black w/ opacity */
    backdrop-filter: blur(15px); 
    justify-content: center;
    align-items: center;
}

.modal-content {
    margin: auto;
    display: block;
    width: 80%;
    max-width: 80%;
}

.close {
    position: absolute;
    top: 30px;
    right: 35px;
    color: #fff;
    font-size: 40px;
    font-weight: bold;
    transition: 0.3s;
    cursor: pointer;
}

.close:hover,
.close:focus {
    color: #bbb;
    text-decoration: none;
    cursor: pointer;
}


/* FAQ Styles */
#faq h2{
    font-size: 2.5em;
}

.faq-item .card-header {
    background-color: #27757B;  
    color: #fff;
    box-shadow: 0 4px 10px rgba(0, 0, 0, 0.2);
    border-radius: 5px;
}

.faq-item .btn-link {
    color: #fff;
    text-decoration: none;
    width: 100%;
    text-align: left;
}

.faq-item .btn-link:hover {
    color: #fff;
    text-decoration: underline;
}

.faq-item .card-body {
    color: #333;
    box-shadow: 0 4px 10px rgba(0, 0, 0, 0.2);
    border-radius: 5px;
}

/* Contact Form Styles */
#contactForm .form-group label {
    color: #333;
}

#contactForm .form-control {
    border: 1px solid #ced4da;
    border-radius: 4px;
    padding: 10px;
}

#contactForm .btn-3d {
    background-color: #2091d3;    
    border: none;
    padding: 10px 20px;
    font-size: 1rem;
    color: #fff;
    border-radius: 5px;
    transition: transform 0.3s, box-shadow 0.3s;
}

#contactForm .btn-3d:hover {
    transform: translateY(-5px);
    box-shadow: 0 4px 10px rgba(0, 0, 0, 0.2);
}

/* Footer Styles */
footer {
    background-color: #333;
    color: #fff;
    padding: 20px 0;
}

footer .container {
    text-align: center;
}

footer .list-inline {
    padding: 0;
    list-style: none;
}

footer .list-inline-item {
    display: inline-block;
    margin-right: 10px;
}

/* Import the Montserrat font */
/* @import url('https://fonts.googleapis.com/css2?family=Montserrat:wght@400;600;700&display=swap');

body {
    font-family: 'Montserrat', sans-serif;
    background-color: #1A1A1A;
    color: #ffffff;
    margin: 0;
    padding: 0;
} 
START OF STYLING    
*/

.navbar {
    background-color: #fff;
    height: 10rem;
    transition: height 0.3s ease-in-out;
}

.navbar-brand img {
    width: 230px;
    height: 140px;
    transition: width 0.3s ease-in-out, height 0.3s ease-in-out;
}

.navbar-nav .nav-link {
    color: #000000 !important;
}

.navbar-toggler-icon {
    filter: invert(0);
}

.nav-link:hover {
    color: #EFAB06 !important;
}

.navbar-collapse {
    background-color: #fff; 
    margin-top: 0.5em;
  }

  .navbar-collapse .navbar-nav {
    align-items: center;
  }

.jumbotron {
    position: relative;
    height: 79vh;
    color: #fff;
    display: flex;
    align-items: center;
    justify-content: center;
    text-align: center;
    overflow: hidden;
}

.jumbotron::after {
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(0, 0, 0, 0.5);
    z-index: 1;
}

.jumbotron .container {
    position: relative;
    z-index: 2;
}

#bgVideo {
    position: absolute;
    top: 50%;
    left: 50%;
    min-width: 100%;
    min-height: 100%;
    width: auto;
    height: auto;
    z-index: 0;
    transform: translateX(-50%) translateY(-50%);
    object-fit: cover;
}

.jumbotron {
    position: relative;
    z-index: 1;
  }
  .container {
    position: relative;
    z-index: 2;
  }

.jumbotron h1 {
    font-size: 3rem;
    font-weight: 700;
    margin-bottom: 1rem;
    text-shadow: 2px 2px 4px rgba(0, 0, 0, 0.8);
    margin-left: 1.5em;
}

.jumbotron p {
    font-size: 1.25rem;
    margin-bottom: 2rem;
    text-shadow: 2px 2px 4px rgba(0, 0, 0, 0.8);
}

.jumbotron h5 {
    font-size: 1.12rem;
    margin-bottom: 2rem;
}

.jumbotron h6 {
    font-size: 1rem;
    margin-bottom: 2rem;
}

.btn-3d {
    background-color: #EFAB06;   
    border: none;
    padding: 10px 20px;
    font-size: 1rem;
    color: #fff;
    border-radius: 5px;
    transition: transform 0.3s, box-shadow 0.3s;
    margin-left: 4em;
}

.btn-3d:hover {
    transform: translateY(-5px);
    box-shadow: 0 4px 10px rgba(0, 0, 0, 0.2);
}

.bg-light {
    background-color: #fff !important;
    color: #e20808;
    width: 100%;
}

.bg-dark {
    background-color: #333;
    color: #fff;
}

.bg-primary {
    background-color: #27757B !important;
    color: #fff;
}

.process-section {
    padding: 5rem 0;
    margin-top: 4em;
    position: relative;
}

.horizontal-scroller {
    display: flex;
    overflow-x: auto;
    padding: 2rem 0;
    scroll-behavior: smooth;
}

.scroller-item {
    flex: 0 0 auto;
    margin-right: 2rem;
    /* background: #333; */
    padding: 1rem;
    border: 1px solid rgba(255, 255, 255, 0.1);
    border-radius: 10px;
    width: 300px;
    box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
    backdrop-filter: blur(10px);
    transition: transform 0.3s ease-in-out, box-shadow 0.3s ease-in-out;
    overflow: hidden;
}

.scroller-item:hover {
    transform: translateY(-10px) scale(1.05);
    box-shadow: 0 8px 16px rgba(0, 0, 0, 0.2);
}

.scroller-item:last-child {
    margin-right: 0;
}

.process-icon {
    font-size: 3rem;
    color: #F0B00B;
    margin-bottom: 1rem;
}

.process-title {
    font-size: 1.5rem;
    font-weight: bold;
    margin-bottom: 1rem;
    color: #fff;
}

.process-description {
    font-size: 1rem;
    line-height: 1.5;
    color: #ddd;
}

/* Scroll Hint Styles */
.scroll-hint {
    position: absolute;
    bottom: 10px;
    right: 10px;
    display: flex;
    align-items: center;
    color: #fff;
    animation: bounce 2s infinite;
}

.scroll-hint .scroll-text {
    margin-right: 10px;
    font-size: 1rem;
}

.scroll-hint .scroll-arrow {
    font-size: 1.5rem;
}

/* Keyframes for Bounce Animation */
@keyframes bounce {
    0%, 20%, 50%, 80%, 100% {
        transform: translateY(0);
    }
    40% {
        transform: translateY(-10px);
    }
    60% {
        transform: translateY(-5px);
    }
}

/* Responsive Brand Gallery Grid */
#brands{
    background-color: #1A1A1A;
}

#brands h2 {
    font-size: 2.5em;
}

#brands img {
    transition: transform 0.3s ease, box-shadow 0.3s ease;
  }

#brands img:hover {
    transform: translateY(-10px) scale(1.05);
    box-shadow: 0 8px 16px rgba(0, 0, 0, 0.2);
}

/* FAQ Styles */
.faq-item .card-header {
    background-color: #27757B;   
    color: #fff;
    box-shadow: 0 4px 10px rgba(0, 0, 0, 0.2);
    border-radius: 5px;
}

.faq-item .btn-link {
    color: #fff;
    text-decoration: none;
    width: 100%;
    text-align: left;
}

.faq-item .btn-link:hover {
    color: #fff;
    text-decoration: underline;
}

.faq-item .card-body {
    color: #333;
    box-shadow: 0 4px 10px rgba(0, 0, 0, 0.2);
    border-radius: 5px;
}

/* Contact Form Styles */
#contact {
    background-color: #f8f9fa;
    height: 100vh;
}

#contact h2{
    font-size: 2.5em;
}

#contactForm .form-group label {
    color: #333;
}

#contactForm .form-control {
    border-bottom: 2px solid #27757B;
    border-right:none;
    border-top: none;
    border-left: none;
    border-radius: 4px;
    padding: 10px;
}

#contactForm .btn-3d {
    background-color: #27757B;   
    border: none;
    padding: 10px 20px;
    font-size: 1rem;
    color: #fff;
    border-radius: 5px;
    transition: transform 0.3s, box-shadow 0.3s;
    margin-bottom: 2rem;
    margin-left: 0;
}

#contactForm .btn-3d:hover {
    transform: translateY(-5px);
    box-shadow: 0 4px 10px rgba(0, 0, 0, 0.2);
}

#contactForm {
    border-bottom: 3px solid #27757B;
    border-right: 3px solid #27757B;
    padding: 20px;
    border-radius: 1rem; 
    background-color: #fff; 
    box-shadow: 4px 0 9px 6px rgba(0, 0, 0, 0.1);
}

/* Footer Styles */
footer {
    background-color: #004449;
    color: #ffffff;
    padding: 20px 0;
    box-shadow: 4px -6px 6px rgba(0, 0, 0, 0.1);
}

footer .container {
    text-align: center;
}

footer .list-inline {
    padding: 0;
    list-style: none;
}

footer .list-inline-item {
    display: inline-block;
    margin-right: 10px;
}

footer .list-inline-item a {
    color: #fff;
} 

#schedule .btn-3d {
    background-color: #27adfa;     /* Changed to a brighter color for visibility */
    border: 2px solid #ffffff;
    color: #fff;
    padding: 15px 30px;
    font-size: 1.25rem;
    transition: transform 0.3s, box-shadow 0.3s, background-color 0.3s, color 0.3s;
}

#schedule .btn-3d:hover {
    background-color: #ffb300; /* Slightly darker shade for hover effect */
    border-color: #ffb300;
    color: #fff;
    transform: translateY(-5px);
    box-shadow: 0 4px 10px rgba(0, 0, 0, 0.2);
}

.navbar-divider {
    height: 130%;
    width: 3px;
    color: #000000;
    margin: 6px 5px; 
}

.parallax-hero {
    position: relative;
    overflow: hidden;
    background: no-repeat center center;
    background-size: cover;
}

.parallax-hero img {
    width: 100%;
    height: auto;
    display: fixed;
}

.parallax-hero .container {
    position: absolute;
    top: 40%;
    right: 23%;
    transform: translate(-50%, -50%);
    color: white;
    /* background-color: red; */
}

.parallax-hero .lead {
    color: white;
    width: 100%;
}

.image-container img {
    width: 100%;
    height: 420px;
    object-fit: cover;
    border-radius: none; 
    margin-left: 2em;
}

.mx-5 {
    margin-left: 3rem;
    margin-right: 3rem;
  }

.parent{
    display: flex;
}

/* Facility Section */
.parallax-section {
    position: relative;
    background-attachment: fixed; 
    background-size: cover;
    background-position: center;
    top: 6rem;
  }

  .parallax-section img {
    width: 100%;
    height: 70vh;
    display: block;
}

  .facility-title {
    position: absolute;
    top: -5%;
    left: 50%;
    transform: translate(-50%, -50%);
    font-size: 2.5em;
    color: white;
    text-align: center;
    z-index: 1;
  }
  
.carousel {
    width: 100%;
    overflow: hidden;
    position: relative;
}

.carousel-images {
    display: flex;
    transition: transform 0.5s ease-in-out;
    width: 200%;
}

.carousel-images img {
    width: 100%;
    border: none;
    box-sizing: border-box;
}

#facilityImage {
    padding-left: 12em; 
    padding-right: 10em; 
}

#facilityImage2{
    padding-left: 14em; 
    padding-right: 12em; 
}

  .facility-grid {
    display: flex;
    flex-direction: column; 
    width: 75%;
    margin: 0 auto; 
  }

  .facility-video {
    margin-left: auto; 
    margin-right: auto; 
    width: 170%;
 }
  
  .facility-paragraph {
    display: flex;
    flex-direction: column;
    text-align: center;
    justify-content: center;
    align-items: center;
    margin-top: 3em;
  }
  
  .facility-image {
    width: 60%;
  }
  
  .facility-image img {
    width: 100%;
    height: auto;
    border-radius: 10px;
  }

  .facility-paragraph h4 {
    margin-bottom: 2rem;
 }

 .facility-heading-5 {
    font-size: 2.1em; 
    left: 2em;
}

@media (min-width: 992px) and (max-width: 1950) {
    .btn-3d {
        background-color: #EFAB06;   
        border: none;
        padding: 10px 20px;
        font-size: 1rem;
        color: #fff;
        border-radius: 5px;
        transition: transform 0.3s, box-shadow 0.3s;
        margin-left: 4em;
    }
    #facility h2 {
        font-size: 2em;
    }
    .facility-grid {
        display: flex;
        flex-direction: row; 
    }
    .facility-video {
        width: 100%; 
    }
    .facility-paragraph {
        width: 100%; 
        margin-top: 6em;
        text-align: left; 
        font-size: 6px;
    }  
}

html {
    scroll-behavior: smooth;
}

/* Navbar and logo styles when scrolled */
.navbar.scrolled {
    height: 5rem;
  }
  
  .navbar.scrolled .navbar-brand img {
    width: 115px; /* Scrolled width */
    height: 65px; /* Scrolled height */
}
  
  .navbar-nav .nav-link {
    color: #000000 !important;
  }
  
  .navbar-toggler-icon {
    filter: invert(0);
  }
  
  .nav-link:hover {
    color: #F0B00B !important;
  }

.about-h2 {
    font-size: 2.5em;
    color: #000; 
    padding-left: 11em;
}

.about-text {
    margin-top: 2.5em;
    color: #000;
    font-size: 17px;
    padding-left: 3em;
    text-align: left;
}

#cultivation h2 {
    font-size: 2.5em;
    margin-top: 0.5em;
}

@media (min-width: 992px) and (max-width: 1476px) {
    .carousel {
        width: 100%;
        overflow: hidden;
        position: relative;
    }
    
    .carousel-images {
        display: flex;
        transition: transform 0.5s ease-in-out;
        width: 200%;
    }
    
    .carousel-images img {
        width: 100%;
        border: none;
        box-sizing: border-box;
    }
    
    #facilityImage, #facilityImage2 {
        padding-left: 12em; 
        padding-right: 10em; 
    }
 }

/* Custom styles for responsive adjustments */
@media (min-width: 768px) and (max-width: 991px) {
    .jumbotron h1 {
        font-size: 2.5em;
        margin-left: 1.6em;
        width: 200%;
    } 
    .jumbotron .container {
        right: 30%;
        text-align: center;
    }   
    .parallax-hero .lead {
        color: white;
        width: 200%;
        margin-top: 2em;
        margin-left: 3em;
    }
    .parallax-hero img {
        height: 100vh;
        display: fixed;
    }
    .btn-3d {
        padding: 10px 20px;
        font-size: 1rem;
        margin-left: 25em;  
        white-space: nowrap; 
    }
    .about-h2 {
        font-size: 2em;
    }
    .card-2 {
        width: 80% !important; 
        height: 100%;
        margin: 0 auto; 
    }
    .about-text {
        font-size: 16px;
    }
    .image-container img {
        width: 100%;
        height: 310px;
        margin-top: 4em; 
    }
    .facility-paragraph .para1{
        width: 130%; 
        text-align: center; 
        margin-right: 10em;
        margin-top: 1.5em;
    }
    .carousel {
        padding: 0; /* Remove padding */
    }
    
    .carousel-images {
        width: 200%; /* Allow space for two images side by side */
    }

    .carousel-images img {
        width: 50%; /* Each image takes the full width of its half of the carousel */
    }
    #cultivation h2 {
        font-size: 2em; 
        margin-top: 2em;
    }
    .process-section {
        margin-top: 0.5em;
    }
    .navbar-divider {
        display: none;
    }
    .testimonial-card {
        height: 350px; 
        overflow: hidden; 
    }
    .close {
        padding: 10px; 
        top: 80px;
        right: 8px;
    }   
    .modal-content {
        margin-top: 50%; 
        transform: translateY(-50%);
    }
}

@media (min-width: 359px) and (max-width: 766px) {
    .parallax-hero img {
        width: 100%;
        height: 90vh;
        display: fixed;
    }
    .jumbotron h1 {
        font-size: 0.5em;
        margin-left: 1.6em;
        width: 200%;
    } 
    .jumbotron .container {
        right: 30%;
        text-align: center;
    }   
    .parallax-hero .lead {
        color: white;
        width: 200%;
        margin-top: 2em;
    }
    .btn-3d {
        margin-left: 12em;  
        padding: 5px 10px; 
        font-size: 0.875rem; 
        white-space: nowrap; 
    }
    .image-container {
        display: none;
    }
    .about-h2 {
        /* margin-bottom: 0.2em; */
        padding-left: 5.5em;
    }
    .about-text {
        font-size: 1em; 
        text-align: center;
        padding-left: 0;
    }
    .navbar-divider {
        display: none;
    }
    .facility-grid {
        display: flex;
        flex-direction: row; 
    }
    .facility-paragraph h4 {
        font-size: 1em;
        /* margin-bottom: 2rem; */
     }
    .parallax-section img {
        height: 60vh;
    }
    .carousel {
        padding: 0; /* Remove padding */
    }
    
    .carousel-images {
        width: 200%; /* Allow space for two images side by side */
    }

    .carousel-images img {
        width: 50%; /* Each image takes the full width of its half of the carousel */
    }
    #facilityImage, #facilityImage2 {
        padding-left: 0; 
        padding-right: 0; 
    }
    .facility-video {
        width: 100%; 
        margin-left: 1em;
    }
    .testimonial-card {
        height: 200px; 
        overflow: hidden; 
        margin-bottom: 1em;
    }
    #contactForm .btn-3d {
        margin-left: 13em;  
        padding: 5px 10px; 
        font-size: 0.875rem; 
        white-space: nowrap;
        margin-top: 1em;
    }
    .close {
        padding: 10px; 
        top: 80px;
        right: 8px;
      }
    
      .modal-content {
        margin-top: 90%; 
        transform: translateY(-50%);
      }
}

